[meta-oe][PATCH] wxwidgets: Only enable opengl when both x11 and opengl are in DISTRO_FEATURES


Robert Yang
 

The opengl can't work without x11 since it depends on libglu, and
oe-core/meta/recipes-graphics/mesa/libglu_9.0.2.bb requires both x11 and
opengl.

Signed-off-by: Robert Yang <liezhi.yang@...>
---
meta-oe/recipes-extended/wxwidgets/wxwidgets_3.1.5.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-oe/recipes-extended/wxwidgets/wxwidgets_3.1.5.bb b/meta-oe/recipes-extended/wxwidgets/wxwidgets_3.1.5.bb
index e82143040..a824893a4 100644
--- a/meta-oe/recipes-extended/wxwidgets/wxwidgets_3.1.5.bb
+++ b/meta-oe/recipes-extended/wxwidgets/wxwidgets_3.1.5.bb
@@ -45,7 +45,7 @@ EXTRA_OECMAKE:append:libc-musl = " \

# All toolkit-configs except 'no_gui' require x11 explicitly (see toolkit.cmake)
PACKAGECONFIG ?= "${@bb.utils.contains('DISTRO_FEATURES', 'x11', 'gtk', 'no_gui', d)} \
- ${@bb.utils.filter('DISTRO_FEATURES', 'opengl', d)} \
+ ${@bb.utils.contains('DISTRO_FEATURES', 'x11 opengl', 'opengl', '', d)} \
"

PACKAGECONFIG:remove:class-native = "opengl"
--
2.17.1

Join openembedded-devel@lists.openembedded.org to automatically receive all group messages.